/**
 * JavaScript for installation menu data
 * --------------------------------------------------------------------
 * $Revision::                                                        $
 * $Date::                                                            $
 * $Tag:: 0.2.1-FINAL                                                 $
 * $Author::                                                          $
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2012 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */
// Init index->page translation array
var indexTranslation = new Array();

// Add all index->page translations:
indexTranslation[0] = 'welcome';
indexTranslation[1] = 'base_data';
indexTranslation[2] = 'database_config';
indexTranslation[3] = 'smtp_config';
indexTranslation[4] = 'other_config';
indexTranslation[5] = 'extensions';
indexTranslation[6] = 'overview';

// Always last ...
indexTranslation[indexTranslation.length] = 'finish';

// 'next/previous page' linking, key is current page, value is the next page
var nextPage     = new Array();
var previousPage = new Array();

// Add all 'next page' entries
nextPage['welcome']         = 'base_data';
nextPage['base_data']       = 'database_config';
nextPage['database_config'] = 'smtp_config';
nextPage['smtp_config']     = 'other_config';
nextPage['other_config']    = 'extensions';
nextPage['extensions']      = 'overview';
nextPage['overview']        = 'finish';

// 'previous page' linking, key is current page, value is the previous page
var previousPage = new Array();

// Add all 'previous page' entries
previousPage['base_data']       = 'welcome';
previousPage['database_config'] = 'base_data';
previousPage['smtp_config']     = 'database_config';
previousPage['other_config']    = 'smtp_config';
previousPage['extensions']      = 'other_config';
previousPage['overview']        = 'extensions';
previousPage['finish']          = 'overview';
